<?php

//--------  Doxygen   -----------------------------------------------
/*! 
 *	\file event_list.php
 * 	\brief			Daten aus '../sfclog/eventlog.txt' werden ausgewertet.
 *	\pre				... eventlog.txt wird in $Event-Array abgelegt,	sortiert und nach  "FaultLoc||"  durchsucht.	<br>
								xxx
 *	\details		-
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//--------  Doxygen - End   -----------------------------------------

//---
$Event = array();							// Index-Array definieren
//---

//-----	eventlog-Datei aufgrufen und in Event-Array schreiben
// $logfunct = "Aus Event-Protokol 01";
//---
$SelDev 		= simplexml_load_file("/home/sfc250sm/XML/tmp/SEL_DEV.xml");	// Wert für EventListe [alles] onder nur [heute]
$FullList 	= $SelDev->FULL_LIST;																						//... kommt aus SEL_DEV
$Fltmp 			= $SelDev->FaultLoc;


if($FullList == 1)
	$anzevlog = 100;										// Anzahl der Files  eventlog.txt  =  0 , eventlog.txt.(1..99)  sind weitere
else
	$anzevlog = 1;											//... nur der heutige Tag ( 0 ist die Standarteinstellung)
//---
$line = 0;
//---
while ($anzevlog != 0) {
	$anzevlog--;
	$string = (string)$anzevlog ;																		// Index für event.txt. erzeugen
	if($anzevlog == 0)
		$evlogfile = "/home/sfc250sm/sfclog/eventlog.txt";						// aktueller Tag eventlog
	else
		$evlogfile = "/home/sfc250sm/sfclog/eventlog.txt.".$string;		// vorherige eventlogs
	//--
	$sfclog = @fopen($evlogfile,"r");
	if ($sfclog)			// exit("Datei WebLog konnte nicht zum Lesen geöffnet werden");
	{	
		//--
		while(!feof($sfclog)) {
			$Event[$line] = fgets($sfclog);		//  . "\n"
			//echo $Event[$line];
			$line++;
		}
		//--
		$line--;
		$Event[$line] = "Datum";
		$line++;
		//--
	fclose($sfclog);				
	}
	//	
	echo $Event[$line];
	//--
}
//---
//-----

//----- Event-Array 'abwärts' sortieren und parsen
$tmpEvent = $Event;
//--- umsortieren von aufwärts nach abwärts
$maxline = $line; 
$tmpline = 0;
while($line > 0) {	
	$tmpEvent[$tmpline] = $Event[$line-1];
	// echo $tmpEvent[$tmpline];
	$tmpline++;
	$line--;
}

//----- ****** Parser ****** -----

/*
$date = date("Y") ;
$day = date("l", mktime($datetime));		// 0,0,0,26,09,2016
$tmpEvent[0] = " - "." ".substr($datetime,4,3).substr($datetime,0,4).$date;	// dieses Datum wird im Header Event-Protokoll angezeigt
*/

//--- Log-Texte für die Ausgabe bereinigen
$tmpline = 0;																														// 
while($tmpline <= $maxline) 		// !=
{
	//echo "*1",$tmpEvent[$tmpline],"*2";
		
	
	if($tmpEvent[$tmpline] == 'Datum')									// ListenDevider mit Datum beschreiben
	{
		$datetime = substr($tmpEvent[$tmpline+1],0,10) ;
		//echo $datetime;
		$tmpEvent[$tmpline] = " < ".$datetime." >";
	}
	else																								// Zeile aufbereiten
	{
		if($Fltmp == 1)
		{
			//--- Erweiterung [Fehlerortung] nur Fehlerevents anzeigen	24.09.2020 ---
	
			$killline = 0;																						 
			if(substr($tmpEvent[$tmpline],20,8) == 'FaultLoc')
			{				  
				$killline = 1;																					// Flag zum löschen  der Zeilen ohne  FaultLoc-Eintrag

				$faultline = $tmpEvent[$tmpline];																							// aktuelle Zeile für Bearbeitung zwischenspeichern
//				$flpos1 = strpos($tmpEvent[$tmpline],"||") + 8;																// Bereich von  "Fehlerortung" in Zeile suchen

				$flpos1 = strpos($tmpEvent[$tmpline],": ") + 2;																// Bereich von  "Fehlerortung" in Zeile suchen

				$flpos2 = strpos($tmpEvent[$tmpline],",") + 1;																// ... wird später mit "FL" ausgetauscht
				$faulinlen = strlen($faultline)-1;
			
				$faultline = substr($tmpEvent[$tmpline],0,$faulinlen);												// ganze Zeile als String ablegen
			
				$faultline = substr_replace($faultline,'FL ',$flpos1,$flpos2-$flpos1);				// "FL" austausch
					//--- für Debug-Zwecke ---
					/* */
					$output = $faultline." FP1 ".$flpos1." FP2 ".$flpos2." Län ".$lange;
						echo "<script>console.log('$output')</script>";
					//--- für Debug-Zwecke ---
				$tmpEvent[$tmpline] = $faultline;																							//angepasstes Zeile "FL" übergeben	
					
	
			}
	
			//---------------------------		
			$pos1 = strpos($tmpEvent[$tmpline],"||") + 2;
			$pos2 = strrpos($tmpEvent[$tmpline],"||");
			if($pos2 == ($pos1 - 2))
				$pos2 = -1;																			// wenn kein weiterer "||" dann -1 eEnd of string)
			else
				$pos2 = $pos2-$pos1;														// zweites oder letztes "||" ermittelte Länge
			//---
			//---------------------------		
			
			$tmpEvent[$tmpline] = substr($tmpEvent[$tmpline],11,8)." | ".substr($tmpEvent[$tmpline],$pos1,$pos2);

			if($killline == 0)
				unset($tmpEvent[$tmpline]);

			//--- Debug-hilfe
			//			if($tmpline == 20)
			//				$maxline = $tmpline;
	
			//--- Erweiterung [Fehlerortung] nur Fehlerevents anzeigen - ENDE ---
		}
		else
		{
			$pos1 = strpos($tmpEvent[$tmpline],"||") + 2;
			$pos2 = strrpos($tmpEvent[$tmpline],"||");
			if($pos2 == ($pos1 - 2))
				$pos2 = -1;																			// wenn kein weiterer "||" dann -1 eEnd of string)
			else
				$pos2 = $pos2-$pos1;														// zweites oder letztes "||" ermittelte Länge
			//---
			$tmpEvent[$tmpline] = substr($tmpEvent[$tmpline],11,8)." | ".substr($tmpEvent[$tmpline],$pos1,$pos2);
		}
	
	}
	
		//***** *****   Ausgabe auf Console   ***** *****
			$output = $tmpEvent[$tmpline]."  ".$line;
			echo "<script>console.log('$output')</script>";  /**/
		//***** *****   Ausgabe auf Console   ***** *****
	
	$tmpline++;

}
//---
//----- **** Parser-ENDE **** -----

//-----
$Event = $tmpEvent;
echo $Event[1];
//echo "Fehler aufgtreten!";
//-----

echo "\n";
?>