<!doctype html>
<html>

<?php
//--------  Doxygen   -----------------------------------------------
/*! 
 *	\file eventproto.php
 * 	\brief			Erzeugt die Event-Porotokoll Liste für die Anzeige am GUI
 *	\pre				-
 *	\details		-
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//--------  Doxygen - End   -----------------------------------------
?>

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta charset="utf-8">
  
<!--  <META HTTP-EQUIV="refresh" CONTENT="10">	 <!--  alle 100 Sekunden, refresh diese Seite  -->
  
  <title>Event-Protokoll</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
<!--  <META HTTP-EQUIV="refresh" CONTENT="10">	 ...später mal alle ??? Sekunden, refresh diese Seite  -->    
  
  <link rel="shortcut icon" href="../images/global.logo.png"/>
  
<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--	* neu *	 -->
	<link href="../jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>
  <link href="../css/jquery_page.css" rel="stylesheet" type="text/css">
<!--  <link href="../css/page01.css" rel="stylesheet" type="text/css">  -->
	<style type="text/css"> </style>
  
	<script src="../jquery-mobile/jquery-1.9.1.min.js"></script>

	<script src="../jquery-mobile/jquery.mobile-1.4.5.min.js"></script>

<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

  <script type="text/javascript" src="../event/event_request_3p.js"></script>
  <script type="text/javascript" src="../event/event_proto.js"></script>

<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

  <script type="text/javascript">
		$(document).ready(function(){			<!-- unbeabsichtigtes 'Drag' von Elementen verhindern -->
			$("body").css("-webkit-user-select","none");
			$("body").css("-moz-user-select","none");
			$("body").css("-ms-user-select","none");
			$("body").css("-o-user-select","none");
			$("body").css("user-select","none");
		});

		//-----
		var nobackbut = 1;							// Button zurück: 0 = kein / 1 = ja, ... hier die Abfragendern URL
		var query_string = {};
		var query = window.location.search.substring(1);
		//alert("URL Parameter: >"+query+"< "+nobackbut);
		if(query == "0")									// ...wenn Parameter vorhanden?
			nobackbut = 0;								// Button zurück: 0 = kein / 1 = ja
		//-----
	
		
/*	--- erstmal wieder verworfen, weil der Event-Check in mainrequest_3p.php ausgefürt wird
//	var event_counter = 0;
//	var aktiv	= window.setInterval("javascript:eventRequest_3p()", 5000);	// 1047

//----------------------------------------------------------- 
//-----------  -window.onload Funktion  ---------------------
//window.onload = 
function eventRequest_3p() 
{
	$.ajax({
		type: "GET",
		//	
		cache: false,
		//	url:"TrackIrms_20161122.csv",			// enthält die vorbereiteten Daten für die Anzeige
		url:"evprot_refresh.php",						// enthält die vorbereiteten Daten für die Anzeige
		
		dataType: "text",
		success: function(data) {processData(data);}	
	});
	//-----
	function processData( eventCount ) 
	{

		if(event_counter != eventCount)
		{
			// alert("zyklischer Aufruf EventProt: "+eventCount);
			location.reload(true);
		}
  	event_counter = eventCount;
		
	}
  
}
//------------  window.onload Funktion  -  ENDE -------------
//----------------------------------------------------------- 
*/  
  
  </script>
  
	<style> 
	
    .btn-group .button {
      background-color:grey; /* Green */
      border: none;
      color: white;
			margin-left:5px;
      padding: 3px 5px;			
      text-align: center;
      text-decoration: none;
      text-shadow:0px 0px;
      display: inline-block;
			font-family:"Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, sans-serif;
      font-size: 18px;
      cursor: pointer;
      float: left;
      max-width:40%;
      max-height:50%;
      border: 2px solid lightgrey;
      box-sizing: border-box;	
			visibility:hidden;
    }
    .btn-group .button:hover {
        background-color: lightgrey;
				border: 2px solid darkgrey;
    }
    .buttontoday {
		 	text-shadow:0px 0px;
			font-family:"Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, sans-serif;
      font-size: 16px;
			width: 85px !important;
      height:20px !important;		/* 18 */     
    }
		 
	</style>
    

</head>

<?php
	//--- Info-Dateien laden			---//
    $ID = "";
    $Event = array();							            // Index-Array definieren
    $maxline = 0;
    $Sel1 = "" ; $Sel2 = "" ; $Sel3 = "" ; $Sel4 = "" ; 	// ...alles l�schen
    
/*
    $Mission = simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
	$Status = simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
	$SysInfo = simplexml_load_file("/home/sfc250sm/XML/SysInfo.xml");
	$Versions = simplexml_load_file("/home/sfc250sm/XML/Versions.xml");
	$WebVersion = simplexml_load_file("/home/sfc250sm/WebServer/WebVersion.xml");
	$GSM = simplexml_load_file("/home/sfc250sm/XML/tmp/GSM.xml");
	$GPS = simplexml_load_file("/home/sfc250sm/XML/tmp/GPS.xml");
*/	
	//--- Info-Dateien geladen	 ---//
?>

<body>

  <!-- ****	event_list Bearbeitung und Debugausgaben **** -->
  <?php include ("sel_dev.php"); include ("event_list.php"); include ("../setup/trans_setup.php"); ?>					
  <!-- ****	event_list Bearbeitung und Debugausgaben **** -->

<!--**********************************-->
<!--***      Event-Protokoll       ***-->
<div data-role="page" id="page">
	<div class="ui-bar-b" data-role="header" data-position="fixed">
		<h1><?php echo $ID[233] ?></h1>			<!--	<?php echo $Event[0] ?>	-->
    <!-- Zurück Button im 3phasigen Betrieb ausblenden -->
  	<a href="../start3p01.php" target="_self" id="but_back" class="ui-btn ui-shadow ui-corner-all ui-icon-return ui-btn-icon-left"></a>    
    		<script>	if(nobackbut == 0) document.getElementById("but_back").style.visibility = "hidden";	</script>    
  </div>
	<div data-role="content" id="liste">	
    <!--Protokoll-Ausgabe aufbauen		-->    
		<?php
		
			$num = 0;						// $num = counter, $maxline kommt vom Parser in event_list.php
			while($num <= $maxline) {									
				if(stripos($Event[$num],"<") == 1)		//  ;$Event[$num] == "-"		$num == 0 or $num == 4
				{ //--- collapsible und list erzeugen
					if($num <= 1)												// ... nur die erste Karte aufklappen
						echo	"	<div data-role='collapsible' data-collapsed='false'>";
					else
						echo	"	<div data-role='collapsible' data-collapsed='true'>";
					echo  "<h4>".$Event[$num]."</h4>";
					echo  "<ul data-role='listview'>";
				}
				else
				{	//--- Link (#, später Aufruf von eventrace.php) erzeugen, wenn Fehlerorung im TextZeile gefunden
					if( strpos($Event[$num],$Sel1) || strpos($Event[$num],$Sel2) || 
									strpos($Event[$num],$Sel3) || strpos($Event[$num],$Sel4)  )	// Device-Auswahl
					{
						if(stripos($Event[$num],"m, Ip") > 0)
							echo "<li><a href='#'  style='font-size: 16px'>".$Event[$num]."</a></li>" ;					
						else
							echo "<li>".$Event[$num]."</li>" ;			
					}
				}
				$num++;
				//--- list und collapsible abschließen
				if(stripos($Event[$num],"<") == 1)
				{
					echo	"</ul>";
					echo	"</div>";
				}
				//---
			}

		?>
    <!--Protokoll-Ausgabe aufbauen  ENDE  -->    
  </div>


  <!-- ********************************************************* -->
  <!-- ***********************  Footer   *********************** -->
	<div  data-role="footer" id="ev_footer" data-position="fixed" >

    <div id="ep_pm_sel" class="btn-group button" >
    <!--		<p> [X] SM1 | [X] PM1 | [X] PM2 | [X] PM 3</p>  -->   
      <button id="ep_sm_sel"  class="button" > SM </button>
      <button id="ep_pma_sel" class="button" >PM-A</button>
      <button id="ep_pmb_sel" class="button" >PM-B</button>
      <button id="ep_pmc_sel" class="button" >PM-C</button>
      <button id="ep_fehlort" class="button" ><?php echo $ID[12]?></button>
      
      <div style="float:right">																							<!-- Event-Protokoll Auswahl -->
      <select class="buttontoday" name="cross-choice-ep" id="ep_sel_day">		
        <option  value="0"><?php echo $ID[264]?> </option>  								<!-- heute -->
        <option  value="1"><?php echo $ID[274]?> </option>  								<!-- alle -->
      </select>
			</div>
      
    </div>            
  	<!--	 	-->
		<script type="text/javascript">
			//--- Footer on/off
      $('#footer').css({'visibility' : 'visible' });
      // $('#footer').css({'visibility' : 'hidden' });
    	//---
			//alert("PM_ABC_EP "+PM_ABC_EP);
			//--- SM click
			$("#ep_sm_sel").click(function () {
				sel_sm_event();	});
			//--- PM-A click
			$("#ep_pma_sel").click(function () {
				sel_pma_event();	});
			//--- PM-B click
			$("#ep_pmb_sel").click(function () {
				sel_pmb_event();	});
			//--- PM-C click
			$("#ep_pmc_sel").click(function () {
				sel_pmc_event();	});
			//--- Fehlerortung click
			$("#ep_fehlort").click(function () {
				sel_fehl_ortu();	});				
			//--- heute click
			$("#ep_sel_day").change(function () {
				ep_sel_day();			});
			//---		
    </script>

  </div>
  <!-- ********************  Footer - ENDE  ******************** -->
  <!-- ********************************************************* -->

</div>
<!--***  Event-Protokoll  - ENDE   ***-->
<!--**********************************-->


</body>

</html>