<?php

//--------  Doxygen   -----------------------------------------------
/*! 
 *	\file event_list.php
 * 	\brief			Daten aus '../sfclog/eventlog.txt' werden ausgewertet.
 *	\pre				... eventlog.txt wird in $Event-Array abgelegt,	sortiert und nach  "FaultLoc||"  durchsucht.	<br>
								xxx
 *	\details		-
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//--------  Doxygen - End   -----------------------------------------

//-- XML-Dateien laden
$SEL_DEV 	= simplexml_load_file("/home/sfc250sm/XML/tmp/SEL_DEV.xml");
$CA				= simplexml_load_file("/home/sfc250sm/XML/tmp/CA.xml");

$Select = $SEL_DEV->value*1;
if($CA->CAconn == 1)
	$Select = $Select | 16;						// wenn CA angeschlossen -> 0001 1111 


$Sel1 = "" ; $Sel2 = "" ; $Sel3 = "" ; $Sel4 = "" ; $Sel5 = "" ;			// ...alles löschen

if(($Select & 8) == 8)
	$Sel1 = "SM" ;

if(($Select & 4) == 4)
{
	if($CA->CAconn == 1)
		$Sel2 = "PM A" ;
	else
		$Sel2 = "PM :" ;
}

if(($Select & 2) == 2)
	$Sel3 = "PM B" ;

if(($Select & 1) == 1)
	$Sel4 = "PM C" ;

//-----
$Fulllist = $SEL_DEV->FULL_LIST;		// aktuelle Einstellung   heute = 0 / alle = 1
//-----
$FaultLoc = $SEL_DEV->FaultLoc;			// aktuelle Einstellung   Button [Fehlerortung]
//-----

echo $Select.">".$Fulllist.">>".$FaultLoc;					// ">" dient als Trennzeichen

//echo "\n  SEL_DEV wurde geladen !!!";

?>