<!DOCTYPE html> 
<html lang="de"> 
<head> 
    <meta charset="utf-8"/> 
    <title>HTML5 Geolocation Beispiel mit Hilfe von Google Maps</title>
    
   <script src="http://maps.google.com/maps/api/js?sensor=true"></script> 
</head>

<body>
    <div id="pos" style="width:600px; height:400px;">
        Deine Position wird ermittelt...
    </div>
    
    <?php
			$GPS = simplexml_load_file("/home/sfc250sm/XML/tmp/GPS.xml");
			$sign = $GPS->GPS_LOCK * 1;
			$offs	=	0.00006;  
			$lat 	= substr(trim($GPS->Position),0,9) + $offs;
			$lon 	= substr(trim($GPS->Position),14,9) - $offs;
		?>
    
    <script>
			var lati 		= <?php echo $lat ?>;
			var long 		= <?php echo $lon ?>;
			var signal	= <?php echo $sign ?>;

			//        function initialize(coords) {
			// var latlng = new google.maps.LatLng(coords.latitude, coords.longitude);
			// var latlng = new google.maps.LatLng(49.98414916992185, 10.841644287109384);   // geht super

			// Optimale Position am seba F&E-Schaltschrank
			//var latlng = new google.maps.LatLng(49.991684  , 10.853040); 

			// Mittelung
			
			if(signal == 1)
			{
				//***							
				/* Bsp. Berechnung:
					49�59.451328  ->  49 + (59.451328 / 60)   --> 49.99085546
					10�51.250969  ->  10 + (51.250969 / 60)   --> 10.854182816
				*/						
				//***							
				
				var latlng = new google.maps.LatLng( lati , long );

				var myOptions = {
						zoom: 17,
						center: latlng,
						mapTypeId: google.maps.MapTypeId.SATELLITE			//ROADMAP HYBRID TERRAIN
				};
				var map = new google.maps.Map(document.getElementById("pos"), myOptions);
				
				var marker = new google.maps.Marker({
						position: latlng, 
						map: map, 
						title: "SFC250-SM: 007"
				});
		
			} 
			else
			{
				document.getElementById('pos').innerHTML = 'Deine Position konnte leider nicht ermittelt werden';
			}
				
				
    </script>
</body>
</html>