<?php
header('Content-Type: text/xml; charset=utf-8'); // sorgt für die korrekte XML-Kodierung
header('Cache-Control: must-revalidate, pre-check=0, no-store, no-cache, max-age=0, post-check=0'); // ist mal wieder wichtig wegen IE

include ("trans_setup.php");

//-- XML-Dateien laden
$Status 	= simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
$SysInfo	= simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");
$GSM			= simplexml_load_file("/home/sfc250sm/XML/tmp/GSM.xml");
//---

if($GSM->Pin_REQ == 1)
	$SimPin = $ID[201];					// activated
else
	$SimPin = $ID[200];					// Inactive
	
if($GSM->Pin_REQ == 1 && $GSM->PIN_OK == 0)
	$SimPin = $ID[202];					// ungültiger Wert

//--- XML-Datei für Übergabe erstellen
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<messwerte>\n";
echo " <xwert0>50</xwert0>\n";
echo " <xwert1>".$Mission->LAN->dhcp->value."</xwert1>\n";							// DHCP/static
echo " <xwert2>".$Mission->LAN->address->value."</xwert2>\n";						// xxx
echo " <xwert3>".$Mission->LAN->netmask->value."</xwert3>\n";						// xxx	
echo " <xwert4>".$Mission->LAN->wlan_dhcp->value."</xwert4>\n";					// xxx
echo " <xwert5>".$Mission->LAN->wlan_address->value."</xwert5>\n";			// xxx
echo " <xwert6>".$Mission->LAN->wlan_netmask->value."</xwert6>\n";			// xxx																
echo " <xwert7>".$Mission->WLAN_PW->ssid->value."</xwert7>\n";					// xxx
echo " <xwert8>".$Mission->WLAN_PW->wpa_passphrase->value."</xwert8>\n";// xxx																
echo " <xwert9>".$Mission->GSM->Username->value."</xwert9>\n";					// xxx																
echo " <xwert10>".$Mission->GSM->Password->value."</xwert10>\n";				// xxx																
echo " <xwert11>".$Mission->GSM->APN->value."</xwert11>\n";							// xxx																
echo " <xwert12>".$Mission->GSM1->SMS_PHONE_NR1->value."</xwert12>\n";	// xxx																
echo " <xwert13>".$Mission->GSM1->EMAIL1->value."</xwert13>\n";					// xxx																
echo " <xwert14>".$Mission->LAN->broadcast->value."</xwert14>\n";				// xxx																
echo " <xwert15>".$Mission->LAN->gateway->value."</xwert15>\n";					// xxx																
//---
echo " <xwert16>".$Mission->GSM1->SMS_PHONE_NR2->value."</xwert16>\n";	// xxx																
echo " <xwert17>".$Mission->GSM1->EMAIL2->value."</xwert17>\n";					// xxx																
echo " <xwert18>".$Mission->GSM1->MobileData->value."</xwert18>\n";			// xxx																
echo " <xwert19>".$Status->SMS_ENABLE."</xwert19>\n";										// Warnschwellen SMS nie/... und Alarmauswahl																
echo " <xwert20>".$Status->SMS_HOLDOFF."</xwert20>\n";									// Warnschwellenüberschreitung alle x-mal melden	
//---
echo " <xwert21>".$SysInfo->openvpn_active."</xwert21>\n";							// VPN Ein/Aus																
echo " <xwert22>".$SimPin."</xwert22>\n";																// SIM PIN																
//--- E-Mail-Account
echo " <xwert23>".$Mission->eMail->SMTP_Host->value."</xwert23>\n";			// Mailserver::Port
echo " <xwert25>".$Mission->eMail1->MAIL_ACCOUNT->value."</xwert25>\n";	// Login:Password
echo " <xwert24>".$Mission->eMail2->MAIL_ACCOUNT->value."</xwert24>\n";	// Login (e-mail Konto)
//---
echo " <xwert26>".xxx."</xwert26>\n";		// xxx																
echo " <xwert27>".xxx."</xwert27>\n";		// xxx																
echo " <xwert28>".xxx."</xwert28>\n";		// xxx																
echo " <xwert29>".xxx."</xwert29>\n";		// xxx																
//---
echo "</messwerte>\n";



?>