// JavaScript Document

//****************************************************
//*******   Slider und Button Definitionen     *******
//****************************************************

$(document).on("pagecreate", "#page3", function(){

    //EXAMPLE 1 - change highlight color based on slider value
    HighlightColor($("#theSlider1"));
    $("#theSlider1").on("change", function(){
        HighlightColor($(this));
    });
		
    function HighlightColor(slider){
        var theVal = slider.val();
        var color = "#0DB8B5";
        if (theVal < 20){
            color = "#D92727";  
        } else if (theVal < 40){
            color = "#FC8F12";
        } else if (theVal < 60){
            color = "#FFE433";
        } else if (theVal < 80){
            color = "#6FCC43";
        }  
			alert(color);         
        slider.closest(".ui-slider").find(".ui-slider-bg").css("background-color", color);     				 
					alert(color + "II");    
    }

    
    //EXAMPLE 2 - add labled color scale to slider track
    var colorback  = '<div class="sliderBackColor green">Low</div>';
        colorback += '<div class="sliderBackColor orange">Medium</div>';
        colorback += '<div class="sliderBackColor red">High</div>';
    
    $("#example2 .ui-slider-track").prepend(colorback);

    
    //EXAMPLE 2a - add tick marks to slider track    
    var ticks  = '<div class="sliderTickmarks "><span>0m</span></div>';
        ticks += '<div class="sliderTickmarks "><span>25m</span></div>';
        ticks += '<div class="sliderTickmarks "><span>50m</span></div>';
        ticks += '<div class="sliderTickmarks "><span>75m</span></div>';
        ticks += '<div class="sliderTickmarks "><span>100m</span></div>';
    
    $("#example2a .ui-slider-track").prepend(ticks);

    
    //EXAMPLE 3 - change active handle's glow color
    GlowColor($("#theSlider3"));
    $("#theSlider3").on("change", function(){
        GlowColor($(this));
    }); 
    function GlowColor(slider){
        var theVal = slider.val();
        var glowClass = "glowRed";
        if (theVal < 25){
            glowClass = "glowGreen";
        } else if (theVal < 50){
            glowClass = "glowBlue";
        } else if (theVal < 75){
            glowClass = "glowYellow";
        }      
        slider.parents(".glow").removeClass("glowBlue glowYellow glowRed glowGreen").addClass(glowClass);    
    }

    
    //EXAMPLE 4 - value on handle
    $("#theSlider4").closest(".ui-slider").find(".ui-slider-handle").text($("#theSlider4").val());
    $("#theSlider4").on("change", function(){
        $(this).closest(".ui-slider").find(".ui-slider-handle").text($(this).val());
    });  

    
    //EXAMPLE 5 - multi-state flip switch
    var switchBack  = '<div id="sw1" class="switch5BackColor pos1">6</div>';
        switchBack += '<div id="sw2" class="switch5BackColor pos2">10</div>';
        switchBack += '<div id="sw3" class="switch5BackColor pos3">16</div>';
        switchBack += '<div id="sw4" class="switch5BackColor pos4">25</div>';
        switchBack += '<div id="sw5" class="switch5BackColor pos5">35</div>';    
        switchBack += '<div id="sw6" class="switch5BackColor pos6">50</div>';  				  
        switchBack += '<div id="sw7" class="switch5BackColor pos7">70</div>';   
        switchBack += '<div id="sw8" class="switch5BackColor pos8">95</div>';				
        switchBack += '<div id="sw9" class="switch5BackColor pos9">120</div>';    
        switchBack += '<div id="sw10" class="switch5BackColor pos10">150</div>';    
        switchBack += '<div id="sw11" class="switch5BackColor pos11">185</div>';    
        switchBack += '<div id="sw12" class="switch5BackColor pos12">240</div>';    
        switchBack += '<div id="sw13" class="switch5BackColor pos13">300</div>';    
    
    $("#qu_slider_31 .ui-slider-track").on('click', '.switch5BackColor', function(e){
        //make sure switch is in correct position
        var val = 1;
        if ($(this).hasClass("pos2")) {val = 2;}
        if ($(this).hasClass("pos3")) {val = 3;}
        if ($(this).hasClass("pos4")) {val = 4;}
        if ($(this).hasClass("pos5")) {val = 5;}
        if ($(this).hasClass("pos6")) {val = 6;}		
        if ($(this).hasClass("pos7")) {val = 7;}
        if ($(this).hasClass("pos8")) {val = 8;}				
        if ($(this).hasClass("pos9")) {val = 9;}
        if ($(this).hasClass("pos10")) {val = 10;}
        if ($(this).hasClass("pos11")) {val = 11;}
        if ($(this).hasClass("pos12")) {val = 12;}
        if ($(this).hasClass("pos13")) {val = 13;}
        $("#sliderq31").val(val).slider( "refresh" ).trigger("change");
        return false;
    });
    
    $("#qu_slider_31 .ui-slider-track").prepend(switchBack);	
    PositionSwitchHandle($("#sliderq31"));
    $("#sliderq31").on("change", function(){
        PositionSwitchHandle($(this));
    });  
    
});


$(document).on( "pagecontainershow", function(){
    PositionSwitchHandle($("#sliderq31"));     
});
$(window).on("resize orientationchange", function(){
    PositionSwitchHandle($("#sliderq31"));
});

function PositionSwitchHandle(slider){
    var $handle = slider.closest(".ui-slider").find(".ui-slider-track");
    var handleWidth = $handle.width();
    var mgPct = (30 * 100) / handleWidth; //half thumb handle in pct of track
    var theVal = parseInt(slider.val());
    var margLeft = -mgPct;
    var glowClass = "pos3glow";
    var theText = "25"	//"16"
    if (theVal <= 1){
        margLeft = 6 - mgPct;
        glowClass = "pos1glow";
        theText = "6"
    } else if (theVal == 2){
        margLeft = 5 - mgPct;
        glowClass = "pos2glow";
        theText = "10"
    } else if (theVal == 3){
        margLeft = 4 - mgPct;
        glowClass = "pos3glow";
        theText = "16"
    } else if (theVal == 4){
        margLeft = 4 - mgPct;
        glowClass = "pos4glow";
        theText = "25"
    } else if (theVal == 5){
        margLeft = 3 - mgPct;
        glowClass = "pos5glow";
        theText = "35"
    } else if (theVal == 6){
        margLeft = 2 - mgPct;
        glowClass = "pos5glow";
        theText = "50"
    } else if (theVal == 7){
        margLeft = 1 - mgPct;
        glowClass = "pos5glow";
        theText = "70"
    } else if (theVal == 8){
        margLeft = 0 - mgPct;
        glowClass = "pos5glow";
        theText = "95"
    } else if (theVal == 9){
        margLeft = 0 - mgPct;
        glowClass = "pos5glow";
        theText = "120"
    } else if (theVal == 10){
        margLeft = 0 - mgPct;
        glowClass = "pos5glow";
        theText = "150"
    } else if (theVal == 11){
        margLeft = -1 - mgPct;
        glowClass = "pos5glow";
        theText = "185"
    } else if (theVal == 12){
        margLeft = -2 - mgPct;
        glowClass = "pos5glow";
        theText = "240"
    } else if (theVal >= 13){
        margLeft = -2 - mgPct;
        glowClass = "pos5glow";
        theText = "300"
    }
		
    slider.closest(".ui-slider").find(".ui-slider-handle").css("marginLeft", margLeft + "%").text(theText);  
    slider.parents(".glow").removeClass("pos1glow pos2glow pos3glow pos4glow pos5glow").addClass(glowClass);

		//	$("#sliderq31").val(11).slider('refresh');

}






//****************************************************
//*****   Slider und Button Definitionen   ENDE  *****
//****************************************************
