#! /bin/bash
#######################
# Return
# 0 Wiederherstellung erfolgreich, mac-Add und licKey identisch
# 1 Error kein Input-File (Werkseinstellung aktiv)
# 2 Error Service-Mode (Werkseinstellung aktiv)
# 3 Error no SN (Werkseinstellung aktiv)
# 4 obsolet
# 5 Wiederherstellung erfolgreich, neue SBC (Etikett ernuern)
# 6 Wiederherstellung erfolgreich, neue SBC (Etikett ernuern), LicKey nicht gesetzt! 
# 7 Error unterschiedliche SN (Werkseinstellung aktiv)
######################


EC=0
AUT=0
if (( $# == 1 ))
then
  AUT=1
fi

rm /home/sfc250sm/XML/tmp/MergeError.txt &> /home/sfc250sm/XML/tmp/tmp.txt
rm /home/sfc250sm/XML/tmp/tmpLicKeyError.txt &> /home/sfc250sm/XML/tmp/tmp.txt

if [ -f /media/rootfs/home/sfc250sm/XML/Default.xml ]
then
	if [ -f /home/sfc250sm/XML/DefaultSave.xml ]
	   then
                  read newSN < /home/sfc250sm/FacSetting/SN.txt
                  read oldSN < /media/rootfs/home/sfc250sm/FacSetting/SN.txt

		  if [ $newSN == $oldSN ] 	
		  then	
			if [ -f /media/rootfs/home/sfc250sm/XML/DefaultSave.xml ]
			then
				  /home/sfc250sm/MergeSetting/SF250MergeSet  -c  -i /media/rootfs/home/sfc250sm/XML/DefaultSave.xml -o /home/sfc250sm/XML/DefaultSave.xml
			else			
				  /home/sfc250sm/MergeSetting/SF250MergeSet  -c  -i /media/rootfs/home/sfc250sm/XML/Default.xml -o /home/sfc250sm/XML/DefaultSave.xml
			fi	


		          if  [ -f /home/sfc250sm/XML/tmp/MergeError.txt ] 
                          then  	
		                     EC=3 
							if (( $AUT == 0 ))
							 then
								 echo "Error no SN"
							 fi	
		          else

						if [ -f /home/sfc250sm/XML/oldSBCMac.txt ] 
						then
							 EC=5
							 if (( $AUT == 0 ))
							 then
								 echo "Neue SBC: rebuild licKey & PW" 
							 fi
                             
							/home/sfc250sm/WriteNewSBC/SF250WrNewSBC  -i /home/sfc250sm/XML/DefaultSave.xml -o /home/sfc250sm/XML/Factory.xml  -m /home/sfc250sm/XML/oldSBCMac.txt 

                                                         if  [ -f /home/sfc250sm/XML/tmp/tmpLicKeyError.txt ] 
							  then
									 EC=6
									 if (( $AUT == 0 ))
									 then
										 echo "licKey nicht aktiviert" 
									 fi                                 
							  fi

						else
	
				     			 /home/sfc250sm/WriteLic2Fac/SF250WrLic2Fac  -i /home/sfc250sm/XML/DefaultSave.xml -o /home/sfc250sm/XML/Factory.xml
							 if (( $AUT == 0 ))
							 then
								 echo "Wiederherstellung erfolgreich" 
							 fi
						fi
		          fi
               else
			EC=7
			if (( $AUT == 0 ))
			then
				echo "Error SN unterschiedlich (Werkseinstellung aktiv)"
			fi
               fi 
	   else	
			EC=2
			if (( $AUT == 0 ))
			then
				echo "Error Service-Mode (Werkseinstellung aktiv)"
			fi
	    fi 
else
  EC=1
  if (( $AUT == 0 ))
  then	
     echo "Error Input-File (Werkseinstellung aktiv)"
  fi
fi

exit $EC
