#! /bin/sh

case "$1" in
  start)
	echo "start service"
	systemctl enable ssh.service
    sleep 1
	systemctl start ssh.service
	if [ -f /home/sfc250sm/XML/DefaultSave.xml ]
		then :
		else
		cp /home/sfc250sm/XML/Default.xml /home/sfc250sm/XML/DefaultSave.xml
		cp /home/sfc250sm/XML/Service.xml /home/sfc250sm/XML/Default.xml
		cp /home/sfc250sm/XML/Service.xml /home/sfc250sm/XML/Mission.xml
	fi
	;;
  stop)
	echo "stop service"
        if [ -f /home/sfc250sm/XML/DefaultSave.xml ]
		then cp /home/sfc250sm/XML/DefaultSave.xml /home/sfc250sm/XML/Default.xml
		cp /home/sfc250sm/XML/DefaultSave.xml /home/sfc250sm/XML/Mission.xml
		rm /home/sfc250sm/XML/DefaultSave.xml
	fi
	systemctl stop ssh.service
	systemctl disable ssh.service
	;;
  *)
	echo "Usage: $0 start|stop" >&2
	exit 3
	;;
esac
