#!/bin/bash
#
###################################################
# XML Tag	#               Werte                 #
###################################################
#  Status   #    busy   #   error    #    ready   #
###################################################
#           #           #   No_USB   #            #
#  Message  #    init   #            # Successful #
#           #           # SeveralDev #            #
###################################################

# XML-Datei erstellen und Zugriffsrechte anpassen
echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  busy\n </Status>\n <Message>\n  Init\n </Message>\n <Total>\n  0\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
chmod 664 /home/sfc250sm/XML/CopyEv.xml
chgrp www-data /home/sfc250sm/XML/CopyEv.xml

# korrekten Programmaufruf testen
#if [ "$1" != "Events" -a "$1" != "Tracks" ]
#	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  InvPar\n </Message>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
#	echo "ung\0374ltiger Parameter: \"$1\""
#	exit 6
#fi

# Variablen
dir=$(awk '/media/ { print $2}' /etc/mtab)		# in /media/ eingebundene Geräte

if [ "$dir" == "" ]
	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  No_USB\n </Message>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
	echo "Kein USB-Stick!"
	exit 1
fi

if [ "`echo $dir | wc -w`" != "1" ]
	then echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  error\n </Status>\n <Message>\n  SeveralDev\n </Message>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  0\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
	echo -e "Mehrere Ger\0344te in /media eingebunden!"
	exit 2
fi

umount $dir
echo -e "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<CopyEv>\n <Status>\n  ready\n </Status>\n <Message>\n  Successful\n </Message>\n <Total>\n  $totalfiles\n </Total>\n <Aktuell>\n  $currfiles\n </Aktuell>\n</CopyEv>" > /home/sfc250sm/XML/CopyEv.xml
