<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<?php
//-------------------------------------------------------------------
/*! 
 *	\file index.php
 *
 * 	\brief			Authentifizierung und Aufruf der Startseite: [start3p01.php]
 *
 *	\pre				Die Authentifizierung erfolgt ber das HTTP-Protokoll. Der Server bzw. das Skript sendet einen HTTP-Header 
 *							an den Browser, der zur Authentifizierung auffordert. Der Anwender erhlt daraufhin vom Browser ein Loginfenster 
 *							prsentiert, Der Anwender loggt sich ein und erhlt Zugriff auf den geschtzten Bereich in  "lighttpd-Webserver". 
 *							Kann dieser nicht identifiziert werden, so wird der Zugriff verweigert und der Anwender erhlt eine Fehlermeldung.
 *			
 *	\details			Benutzername und Passwort fr die  .htaccess-Datei  in "/home/sfc250sm/WebServer/.htpasswd" werden ber den 
 *							Dispacher aus der Mission.xml geholt und eingetragen. Passwort wird dann automatisch verschlsselt abgelegt.
 *							
 *	\author    Richard Allin
 *	\version   ---
 *	\date      2016-2017
 *	\copyright GNU Public License.
 */
//-------------------------------------------------------------------
?>

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 	
	<!--	<meta http-equiv="refresh" content="0; URL=start01.php">	-->
  <meta http-equiv="refresh" content="0; URL=start3p01.php">
  <!--	  <meta http-equiv="refresh" content="0; URL=/ui_logger/uilogger.php"> -->

	<title>SmartFuse SFC250</title>

</head>

<body>

</body>

</html>
