<?php
header('Content-Type: text/xml; charset=utf-8'); // sorgt für die korrekte XML-Kodierung
header('Cache-Control: must-revalidate, pre-check=0, no-store, no-cache, max-age=0, post-check=0'); // ist mal wieder wichtig wegen IE


/*! 
 *  \brief     Pretty nice class.
 *  \details   This class is used to demonstrate a number of section commands.
 *  \author    John Doe
 *  \author    Jan Doe
 *  \version   4.1a
 *  \date      1990-2011
 *  \pre       First initialize the system.
 *  \bug       Not all memory is freed when deleting an object of this class.
 *  \warning   Improper use can crash your application
 *  \copyright GNU Public License.
 */

/**
    @file main.php
    [Hier steht die ausführliche Doku… -Doxygen-Test von Richard Allin- ]
*/



//-----------
//echo "\n Daten von ID:                 ",
 $ID 				= $_POST['id'];		///< Defaultwert der Spannung in Volt
 $w1 				= $_POST['v1'];
 $Aktimg 		= $_POST['v2'];		// aktimgjog
 $Thycount	= $_POST['v3'];		// Zähler für Pulsbetrieb-Takt 
//-----------

$OnOff 			= "        "; 
$TempUnit 	= '°C';												// Temperatur-Einheit
$PmUpdate		= "PM update state: 1; 0;";		// PM-Update aus

//---
$ip = $_SERVER["REMOTE_ADDR"];  
$host = gethostbyaddr($ip);
//---

//---
$Status 		= simplexml_load_file("/home/sfc250sm/XML/tmp/Status.xml");
$Mission		= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
$EventFile 	= simplexml_load_file("/home/sfc250sm/XML/tmp/FL_Event.xml");
$SysInfo		= simplexml_load_file("/home/sfc250sm/XML/tmp/SysInfo.xml");
$GSM				= simplexml_load_file("/home/sfc250sm/XML/tmp/GSM.xml");
$CA					= simplexml_load_file("/home/sfc250sm/XML/tmp/CA.xml");
//---

//---	  !!! SRD-RC check auf fehlerhafte Einstellung !!!!
if($Mission->SRD_RC->RC->value == "on" && $Mission->SRD_RC->pairing->value == "nok")
{
	$Mission->SRD_RC->RC->value = "off";
	file_put_contents("/home/sfc250sm/XML/Mission.xml", $Mission->asXML());
	$Mission	= simplexml_load_file("/home/sfc250sm/XML/Mission.xml");
}
//---

//---
if($GSM->PIN_OK == 0 && $GSM->Pin_REQ == 1 && $GSM->DATA_VALID == 1)	// $GSM->SIM_INS == 1 && 
	$SimPinRequired = 1;	 				// Pineingabe erforderlich
else
	$SimPinRequired = 0;	 				// Pineingabe nicht erforderlich
//---

//------------		aktuellen Status abfragen  -------------
if($Status->THY_LOGIC_STATE == 0 && $Status->PULSE_ON == 0 && Aktimg != 1)
{
	$Aktimg = 1;	
}
//---
if($Status->THY_LOGIC_STATE == 1 && $Status->PULSE_ON == 0 && Aktimg != 3)
{
	$Aktimg = 3;
}
//---
if($Status->THY_LOGIC_STATE == 0 && $Status->PULSE_ON == 1 && Aktimg != 5)
{
	$Aktimg = 5;
}
//---
if($Status->THY_LOGIC_STATE == 1 && $Status->PULSE_ON == 1 && Aktimg != 6)
{
	$Aktimg = 6;
}
//---
if($Status->THY_LOGIC_STATE == 1 && $Status->PULSE_ON == 1 && $Thycount != $Status->THY_COUNT && $Aktimg != 0)
{
	//	$Thycount = $Status->THY_COUNT;
	$Aktimg = 7;
}
$Thycount = $Status->THY_COUNT;
//---
	
	
//--------		aktuellen Status abfragen  ENDE   ---------


//----------		UpdateProgress.txt abfragen  ------------
$fp = @fopen("/home/sfc250sm/XML/tmp/UpdateProgress.txt","r");
if (!$fp)
	exit("Datei konnte nicht zum Schreiben geöffnet werden");
//---
	$Fortschritt = 0;
	$PmUpdate = fgets($fp,25);
	sscanf($PmUpdate,"PM update state: 1;%d",$Fortschritt);
	//	echo "Der Wert = $Fortschritt \n";
//---	
fclose($fp);
//-------		UpdateProgress.txt abfragen  ENDE   ---------
	
//--- Reclose-Puls activity [0=aus|1=Reclose|2=Puls]  ---
$ReclPulsAct = 0; 												// 
if ($Mission->Miss_Para->Recl_on_off->value *1  == 1 )
	$ReclPulsAct = 1;
if ($Mission->Miss_Para->Puls_on_off->value *1  == 1 )
	$ReclPulsAct = 2;
//------------ Reclose-Puls activity ENDE ---------------


//*************************************//
//*************************************//
//---			Rückgabewerte setzen			---//

if ($Status->THY_LOGIC_STATE == 1)  $OnOff = "  [On] "; 
 	else $OnOff = "  [Off] "; 

echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
echo "<messwerte>\n";
echo " <xwert0>".$OnOff."</xwert0>\n";

//--- Spannung und Strom anzeigen
if ($Status->MOK == 0)	// keine 12V da = 1	(activ low)
{
	echo " <xwert1>".'---'."</xwert1>\n";				// Spannung
	echo " <xwert2>".'---'."</xwert2>\n";				// Strom
//----- Iwarn-Simulation ------//
//	echo " <xwert1>230V</xwert1>\n";					// Spannung
//	echo " <xwert2>80A</xwert2>\n";						// Strom	
//--- Iwarn-Simulation ENDE ---//
}
else																					// 12V sind  da = 0 
{
	if($Status->PULSE_ON == 0)
	{
		if ($Status->RMS_I500 <=5)
			echo " <xwert2>&lt;"."5 A"."</xwert2>\n";
		else
			echo " <xwert2>".$Status->RMS_I500."</xwert2>\n";
	}
	else
	{
		if ($Status->RMS_PEAK_I500 <=5)
			echo " <xwert2>&lt;"."5 A"."</xwert2>\n";
		else			
			echo " <xwert2>".$Status->RMS_PEAK_I500."</xwert2>\n";
	}
		
	echo " <xwert1>".$Status->RMS_U."</xwert1>\n";	 
}

//---
echo " <xwert3>".$Status->RMS_WARN_I500."</xwert3>\n";
echo " <xwert4>".$Status->RMS_LIM_I500."</xwert4>\n";
//---

//---
if ($Status->PULSE_ON == 0)
{
	if ($Mission->Miss_Para->Recl_on_off->value *1 == 0)
		echo " <xwert5>"." "."</xwert5>\n";						// wenn Wiedereinschalten Aus, Anzeige löschen	
	else
	{

		if ($Status->AUTO_RECLOSE_ANZ *1 >= 99)
		 	echo " <xwert5>".">99"."/".trim($Status->AUTO_RECLOSE_INI_ANZ)."</xwert5>\n";				// "unendl."
		else
			echo " <xwert5>".trim($Status->AUTO_RECLOSE_ANZ)."/".trim($Status->AUTO_RECLOSE_INI_ANZ)."</xwert5>\n";
/*
		... in Paket: 1.378 !!!  leider nicht ganz korrekt
		if ($Status->AUTO_RECLOSE_ANZ *1 == 255)
		 	echo " <xwert5>"."unendl."."</xwert5>\n";								// "unendl."
		else
			echo " <xwert5>".trim($Status->AUTO_RECLOSE_ANZ)."/".trim($Status->AUTO_RECLOSE_INI_ANZ)."</xwert5>\n";
*/
	}
}
//---
if ($Status->PULSE_ON == 1)
{
	if($Status->AUTO_RECLOSE_INI_ANZ*1 == 255)
		echo " <xwert5>"."auto."."</xwert5>\n";										// automatic
	else
		if($Status->AUTO_RECLOSE_ANZ*1 == 0)
			echo " <xwert5>"."man."."</xwert5>\n";									// manuel
		else
			echo " <xwert5>".trim($Status->AUTO_RECLOSE_ANZ)."</xwert5>\n";
}

//-----
	echo " <xwert6>".$Thycount."</xwert6>\n";					// Thyristor counter
	echo " <xwert7>".$host."</xwert7>\n";							// "localhost or not"
//-----
	echo " <xwert8>".$ID."</xwert8>\n";								// "unendl."
	echo " <xwert9>".$w1."</xwert9>\n";								// 
//-----

//----------------------------------//
//----------------------------------//
// Werte aus FL_Event.xml

//-------- Fault-Simulation --------//
/*
echo " <xwert10>5</xwert10>\n";								// Event.Count
echo " <xwert11>'transient'</xwert11>\n";			// Event.Type		noneEvent, preEvent, discarded, transient, overload, trigger
echo " <xwert12>'no_param'</xwert12>\n";	 		// Event.Lenght 'no_param' '234 m'
*/
//----- Fault-Simulation ENDE ------//

echo " <xwert10>".$EventFile->Event->Count."</xwert10>\n";							// $EventFile->Event.Count
echo " <xwert11>".$EventFile->Event->Type."</xwert11>\n";	 							// $EventFile->Event.Type
echo " <xwert12>".$EventFile->Stat->L_N->FaultDistance."</xwert12>\n";	// $EventFile->Event.Lenght

//----------------------------------//
//----------------------------------//

//**echo " <xwert12>137m</xwert12>\n";	 																// $EventFile->Event.Lenght
echo " <xwert13>80</xwert13>\n";	 																			// Warnschwelle in %  erstmal 80 fest, später aus Mission.xml

//---
//date_default_timezone_set("Europe/Berlin");
$timestamp = time();
$datum = date("d.m.Y",$timestamp);
$uhrzeit = date("H:i:s",$timestamp);
//$datum = "23.11.2015";
//$uhrzeit = "12:00:00";
echo " <xwert14>".$datum."</xwert14>\n";	 															// Datum
echo " <xwert15>".$uhrzeit."</xwert15>\n";	 														// Uhrzeit
//	echo $datum," - ",$uhrzeit," Uhr";
//---
echo " <xwert16>".$SysInfo->mode."</xwert16>\n";	 											// SFC-Mode
echo " <xwert17>".$Mission->SRD_RC->RC->value."</xwert17>\n";	 					// SRD-RC Ein/Aus
//--
echo " <xwert18>".$Status->ClosureSW."</xwert18>\n";										// Deckel auf(1) oder zu(0)		
echo " <xwert19>".$Aktimg."</xwert19>\n";	 															// aktuelles Jogdial-Image		
//--
echo " <xwert20>".$Status->PM_OK."</xwert20>\n";												// Powermodul ok bzw. vorhanden	
echo " <xwert21>".$Fortschritt."</xwert21>\n";	 												// PowerModul Update Status in %
//--
echo " <xwert22>".$ReclPulsAct."</xwert22>\n";	 												// Reclose-Puls activity [0=aus|1=Reclose|2=Puls]
//--
//	echo " <xwert23>".$Status->PEAK_I10k."</xwert23>\n";								// Spitzenstrom			
echo " <xwert23>".$Status->RMS_PEAK_I10k_MAX."</xwert23>\n";						// Spitzenstrom	RMS
echo " <xwert24>".$Status->I_DIRECTION."</xwert24>\n";	 								// Lastflussrichtung 1 = L->L'  /  0 = L<-L'
echo " <xwert25>".$EventFile->Ipeak->I1."</xwert25>\n";									// Spitzenstrom Error 1 = L->L'  /  0 = L<-L'
//--
echo " <xwert26>".$Status->AUTO_RECLOSE_TIME_in_sec."</xwert26>\n";			// Wiedereinschalt-Zeit, auch bei Puls
echo " <xwert27>".$Mission->Miss_Para->Half_wave->value."</xwert27>\n";	// Anzahl der Halbwellen im Pulsbetrieb
echo " <xwert28>".$Status->THY_LOGIC_STATE."</xwert28>\n";	 						// Thyristor-Status-LOGIC Ein/Aus
echo " <xwert29>".$Status->Thy_State."</xwert29>\n";	 									// Thyristor-Status  Ein/Aus
//---
echo " <xwert30>".$SimPinRequired."</xwert30>\n";	 											// Pineingabe erforderlich
//---
//----- 3phase -----
echo " <xwert31>".$CA->CAconn."</xwert31>\n";	 													// SFC250-CA angeschlossen 0 = nein | 1 = ja
echo " <xwert32>".$CA->PM_A."</xwert32>\n";	 														// PM-A angeschlossen 0 = nein | 1 = ja
echo " <xwert33>".$CA->PM_B."</xwert33>\n";	 														// PM-B angeschlossen 0 = nein | 1 = ja
echo " <xwert34>".$CA->PM_C."</xwert34>\n";	 														// PM-C angeschlossen 0 = nein | 1 = ja

//echo " <xwert31>".'-x-'."</xwert31>\n";	 															// ... neuer XML-Wert
//---
echo "</messwerte>\n";

//---			Rückgabewerte setzen ENDE ---//
//*************************************//
//*************************************//

?>