#!/bin/sh

:set fileformat=unix

echo 
echo "*** WebServer Gruppenzuordnung einstellen ***"	
echo 
	


chown -c www-data:www-data /home/sfc250sm/WebServer/
chmod ug+rw /home/sfc250sm/WebServer

chown -cR :www-data /home/sfc250sm/WebServer/info
chmod ug+rw /home/sfc250sm/WebServer/info

chown -cR :www-data /home/sfc250sm/sfclog
chmod ug+rw /home/sfc250sm/sfclog

chown -cR :www-data /home/sfc250sm/WebServer/local
chmod ug+rwx /home/sfc250sm/WebServer/local

chown -cR :www-data /home/sfc250sm/WebServer/event
chmod ug+rwx /home/sfc250sm/WebServer/event

chown -cR :www-data /home/sfc250sm/WebServer/ui_logger
chmod ug+rwx /home/sfc250sm/WebServer/ui_logger

chown -cR :www-data /home/sfc250sm/WebServer/trackIrms
chmod ug+rwx /home/sfc250sm/WebServer/trackIrms

chown -cR :www-data /home/sfc250sm/WebServer/sfc_3p
chmod ug+rwx /home/sfc250sm/WebServer/sfc_3p

chown -cR :www-data /home/sfc250sm/WebServer/charts
chmod ug+rwx /home/sfc250sm/WebServer/charts

chown -cR :www-data /home/sfc250sm/WebServer/images

chown -cR :www-data /home/sfc250sm/WebServer/jquery-mobile
chmod ug+rw /home/sfc250sm/WebServer/jquery-mobile
chmod ug+rw /home/sfc250sm/WebServer/jquery-mobile/images

chown -cR :www-data /home/sfc250sm/WebServer/js
chmod ug+rw /home/sfc250sm/WebServer/js

chown -cR :www-data /home/sfc250sm/WebServer/fonts
chmod ug+rw /home/sfc250sm/WebServer/fonts

chown -cR :www-data /home/sfc250sm/WebServer/css
chmod ug+rw /home/sfc250sm/WebServer/css

chown -cR :www-data /home/sfc250sm/WebServer/Doku

chown -cR :www-data /home/sfc250sm/WebServer/setup
chmod ug+rw /home/sfc250sm/WebServer/setup

chown -cR :www-data /home/sfc250sm/WebServer/srd250rc
chmod ug+rw /home/sfc250sm/WebServer/srd250rc

chown -cR :www-data /home/sfc250sm/WebServer/keyboard



chgrp -c www-data /home/sfc250sm/WebServer/*.php
chgrp -c www-data /home/sfc250sm/WebServer/*.js
chgrp -c www-data /home/sfc250sm/WebServer/*.txt
chgrp -c www-data /home/sfc250sm/WebServer/images/*

chgrp -c www-data /home/sfc250sm/XML/Mission.xml
chgrp -c www-data /home/sfc250sm/XML/Status.xml
chgrp -c www-data /home/sfc250sm/XML/SysInfo.xml
chgrp -c www-data /home/sfc250sm/XML/UpdateProgress.txt




##------ Schreibrechte ---------##
cd /home/sfc250sm/WebServer
chmod ug+rw *.js *.php *.html *.txt
chmod ug+rwx *.php

cd /home/sfc250sm/WebServer/images
chmod ug+rw *.png

cd /home/sfc250sm/WebServer/jquery-mobile
chmod ug+rw *.css *.js

cd /home/sfc250sm/WebServer/jquery-mobile/images
chmod ug+rw *.png

cd /home/sfc250sm/WebServer/info
chmod ug+rw *.php *.html

cd /home/sfc250sm/WebServer/setup
chmod ug+rw *.php *.js *.html

cd /home/sfc250sm/WebServer/Doku
chmod ug+rw *.doc

cd /home/sfc250sm/XML
chmod ug+rw *.xml

cd /home/sfc250sm/WebServer/ui_logger
chmod ug+rwx *.*

cd /home/sfc250sm/WebServer/sfc_3p
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/srd250rc
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/setup
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/local
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/keyboard
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/keyboard/vkeyboard2
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/jquery-mobile
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/info
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/images
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/images/ajaxload
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/event
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/css
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/css/images
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/css/w3ver3
chmod ug+rw *.*

cd /home/sfc250sm/WebServer/css/w3ver4
chmod ug+rw *.*

cd
##------------------------------##


	echo
  echo "... fertsch"
	echo 

